Skip to content
English

Mailbox settings

PATCH/v1/mailboxes/{mailbox_id}

Use /v1 to change name, password and signature. Change the shared quota_mb through your hosting panel. Files have no separate quota. Idempotency-Key is optional but recommended for retries.

Authentication and access · Errors and retries

Request

Terminal window
curl -X PATCH 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>' \
-H 'Authorization: Bearer <access_token>' \
-H 'Idempotency-Key: message-20261019-0001' \
-H 'Content-Type: application/json' \
--data '{"name":"Support","signature":"Support team"}'

Parameters

mailbox_idpathNecessarily

integer

X-Customer-IDheader
Option 1

string

Option 2

null

Idempotency-Keyheader

string

minLength: 8

maxLength: 128

Request body · application/json

object

name
Option 1

string

minLength: 1

maxLength: 120

Option 2

null

quota_mb
Option 1

integer

minimum: 10240

Option 2

null

file_quota_mb
Option 1

integer

minimum: 256

maximum: 512000

Option 2

null

password
Option 1

string

minLength: 12

maxLength: 128

Option 2

null

signature
Option 1

string

maxLength: 5000

Option 2

null

Unknown fields are not accepted.

Responses

202 Successful response

application/json

object

id

string · uuid

Operation ID for checking the status and canceling a pending submission.

kind

string

mailbox_id
Option 1

integer

Option 2

null

status

string

Valid values: "queued" "running" "succeeded" "failed" "uncertain" "cancelled"

run_at

string

Date and time in UTC. If there is no offset, the value also represents UTC.

created_at

string

Date and time in UTC. If there is no offset, the value also represents UTC.

completed_at
Option 1

string

Date and time in UTC. If there is no offset, the value also represents UTC.

Option 2

null

error

The reason for the error if the operation did not complete successfully.

Option 1

string

Option 2

null

result

The result of the operation. For sending, contains information about accepted and rejected recipients.

Option 1

object

Option 2

null

400 Invalid header or identifier

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object

401 Login required

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object

403 No access

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object

404 Resource not found

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object

409 State conflict

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object

422 Validation error

application/json

object

detail

array

Array elements

object

locNecessarily

array

Array elements
Option 1

string

Option 2

integer

msgNecessarily

string

typeNecessarily

string

503 Temporarily unavailable

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object